Subject: Re: [Bonding-devel] [PATCH net-next-2.6] bonding: introduce primary_lazy option

From: Nicolas de Pesloüan <[email-masked]>
Date: Thu, 13 Aug 2009 21:41:02 +0200

Jiri Pirko wrote:
> In some cases there is not desirable to switch back to primary interface when
> it's link recovers and rather stay wiith currently active one. We need to avoid
> packetloss as much as we can in some cases. This is solved by introducing
> primary_lazy option. Note that enslaved primary slave is set as current
> active no matter what.

May I suggest that instead of creating a new option to better define how
the "primary" option is expected to behave for active-backup mode, we 
try the "weight" slave  option I proposed in the thread "alternative to 
primary" earlier this year ?

http://sourceforge.net/mailarchive/forum.php?thread_name=49D5357E.4020201%40free.fr&forum_name=bonding-devel

Giving the same "weight" to two different slaves means "chose at random
on startup and keep the active one until it fails". And if the "at
random" behavior is not appropriate, one can force the active slave
using what Jay suggested  (/sys/class/net/bond0/bonding/active).

The proposed "weight" slave's option is able to prevent the slaves from
flip-flopping, by stating the fact that two slaves share the same 
"primary" level, and may provide several other enhancements as described 
in the thread.

Hence, it is a more general configuration interface than what you 
proposed. I must admit that despite the fact that I suggested this in 
april, I didn't posted any patch for it until now. Unfortunately, 
I'didn't had time for it and probably not the proper skills anyway :-).

	Nicolas.